<template>
  <table>
    <EnvironmentRow v-for="env in environments" :key="env.id" :environment="env" />
  </table>
</template>

<script setup>
import EnvironmentRow from './EnvironmentRow.vue';

const props = defineProps({
  environments: Array
});
</script>

<style scoped>
table {
  width: 100%;
  border-spacing: 0;
  margin-bottom: 2em;
}
table tr:nth-child(even) {
  background-color: #f2f2f2;
}
table tr:nth-child(odd) {
  background-color: #ffffff;
}
tr td:first-child {
  padding-left: 1.3em;
}
</style>
